API Reference
- Authentication
- The Query API
- The Result API
- The Update API
- The Training API
- Deleting objects
- Retrieving objects
- Appending images to existing objects
- Creating new objects
- Errors
- Code
Quick search
Deleting objects
This api request will delete an object from your computer vision database.
Resource URL: http://api.iqengines.com/v1.2/object/<id>/ Method: DELETE Content-Type: application/x-www-form-urlencoded or multipart/form-data
Request parameters
required
api_key: Your API key. api_sig: The signature of the API call, see Authentication. time_stamp: The time stamp for your request. The formatting is ‘YYYYmmDDHHMMSS’ (e.g. ‘20100405224038’), and the standard is UTC time.
optional
json: If you set this value to anything other than 0, we will return the result in JSON format.
Sample request
Sample DELETE request using cURL:
curl -X DELETE \
-F "api_key=API_KEY" \
-F "api_sig=SIGNATURE" \
-F "time_stamp=20090612111832" \
-F "json=1" \
http://api.iqengines.com/v1.2/object/112480c5e6fe47ed972e2c9d06380689/
Return Values
success
HTTP Status Code: 200
Response Body:
{'comment': 'successfully deleted', 'error': 0}
error: object does not exist
HTTP Status Code: 404
Response Body:
{'comment': 'This resource does not exist', 'error': 1}
error: permission denied
returned if you’re not authorized to delete the particular resource
HTTP Status Code: 401
Response Body:
{'comment': 'Your account is not authorized to perform this operation',
'error': 1}